# Highlights Pipeline

Purpose: automatically find and extract interesting moments from gaming footage videos to make highlights

## Installation

This repository provides a requirements.txt file. It is strongly recommended that this is used with a virtuenv:

```
python -m venv .env
pip intall -r requirements.txt
```

This repository does not bundle [laughter-detection](https://github.com/jrgillick/laughter-detection). To use that please follow the instructions in that projects README.

It is recommended to use the [batched version of faster-whisper](https://github.com/SYSTRAN/faster-whisper?tab=readme-ov-file#batched-faster-whisper). Please note the version that ships on pypi does not include this version. It can be installed with pip by using their repo:

```
pip install --force-reinstall "faster-whisper @ https://github.com/SYSTRAN/faster-whisper/archive/refs/heads/master.tar.gz"
```

## Issues

When using faster-whisper with long media files (over 3 hours) and a CPU model it was found that it was killed OOM. There are a couple of issues noting this: 
- [[1]](https://github.com/SYSTRAN/faster-whisper/issues/390)
- [[2]](https://github.com/SYSTRAN/faster-whisper/issues/249). As a workaround you may wish to consider segmenting long media files before using them with the pipeline.
